
# Fedora Review
# http://bugzilla.redhat.com/188180

%define beta rc1
#define preview -preview

#define snap 20070423
#define beta snapshot%{snap}

Summary: Qt toolkit
Name:	 qt4
Version: 4.3.0
Release: 0.5.%{beta}%{?dist}

License: GPL
Group: 	 System Environment/Libraries
Url:   	 http://www.trolltech.com/products/qt/
%if "%{?snap:1}" == "1"
Source0: ftp://ftp.trolltech.com/qt/snapshots/qt-x11-opensource-src-%{version}-%{snap}.tar.bz2
%else
Source0: ftp://ftp.trolltech.com/qt/source/qt-x11%{?preview}-opensource-src-%{version}%{?beta}.tar.gz
%endif
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source1: Trolltech.conf

# See http://bugzilla.redhat.com/223663
ExclusiveArch: %{ix86} x86_64 ppc ppc64 sparc sparc64
Source5: qconfig-multilib.h

# search for assistant-qt4 instead of (qt3's) assistant in $PATH 
Patch1: qt-x11-opensource-src-4.3.0-qassistant-qt4.patch
# multilib hacks 
Patch2: qt-x11-opensource-src-4.2.2-multilib.patch
## qt-copy patches

Source10: qt4-wrapper.sh
Source11: qt4.sh
Source12: qt4.csh
# FIXME -> /etc/rpm/macros.qt4 ?
Source13: qt4.macros

Source20: assistant.desktop
Source21: designer.desktop
Source22: linguist.desktop
Source23: qtdemo.desktop
Source24: qtconfig.desktop

## optional plugin bits
# set to -no-sql-<driver> to disable
# set to -qt-sql-<driver> to enable *in* qt library
#if 0%{?fedora} > 3 || 0%{?rhel} > 3
%define mysql  -plugin-sql-mysql
#endif
%define odbc   -plugin-sql-odbc 
%define psql   -plugin-sql-psql 
%define sqlite -plugin-sql-sqlite 

# undefine to disable these
%define nas     -system-nas-sound
%if 0%{?fedora} > 4 || 0%{?rhel} > 4
%define qdbus	-qdbus
BuildRequires: dbus-devel >= 0.62
%endif

%define qtdir %{_libdir}/qt4
# See http://bugzilla.redhat.com/196901
# these should match contents of SOURCE13: 
%define qt4_prefix 	%{_libdir}/qt4
%define qt4_bindir	%{qt4_prefix}/bin
%define qt4_datadir 	%{_datadir}/qt4
%define qt4_docdir	%{_docdir}/qt4
%define qt4_headerdir 	%{_includedir} 
%define qt4_libdir	%{_libdir}
%define qt4_plugindir	%{qt4_prefix}/plugins
%define qt4_sysconfdir	%{_sysconfdir}
%define qt4_translationdir %{qt4_datadir}/translations

%if "%{qt4_libdir}" != "%{_libdir}"
# needed for runtime, as well as pre,post
Prereq:  /etc/ld.so.conf.d
%endif

BuildRequires: cups-devel
BuildRequires: desktop-file-utils
BuildRequires: findutils
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: libjpeg-devel
BuildRequires: libmng-devel
BuildRequires: libpng-devel
BuildRequires: libtiff-devel
BuildRequires: libungif-devel
BuildRequires: freetype-devel
BuildRequires: zlib-devel
BuildRequires: glib2-devel
BuildRequires: openssl-devel

## In theory, should be as simple as:
#define x_deps libGL-devel libGLU-devel
## but, "xorg-x11-devel: missing dep on libGL/libGLU" - http://bugzilla.redhat.com/211898 
%define x_deps xorg-x11-devel xorg-x11-Mesa-libGL xorg-x11-Mesa-libGLU
%if 0%{?fedora} > 4 || 0%{?rhel} > 4
%define x_deps libICE-devel libSM-devel libXcursor-devel libXext-devel libXfixes-devel libXft-devel libXi-devel libXinerama-devel libXrandr-devel libXrender-devel libXt-devel libX11-devel xorg-x11-proto-devel libGL-devel libGLU-devel
%endif
BuildRequires: %{x_deps} %{?x_deps_GL_hack}

%if "%{?nas}" == "-system-nas-sound"
BuildRequires: nas-devel
%endif

%if "%{?mysql}" != "-no-sql-mysql"
BuildRequires: mysql-devel >= 4.0
%endif

%if "%{?psql}" != "-no-sql-psql"
BuildRequires: postgresql-devel
%endif

%if "%{?odbc}" != "-no-sql-odbc"
BuildRequires: unixODBC-devel
%endif

%if "%{?sqlite:1}" != "-no-sql-sqlite"
%if 0%{?fedora} > 2
%define _system_sqlite -system-sqlite
BuildRequires: sqlite-devel
%endif
%endif

Obsoletes: %{name}-config < %{version}-%{release}
Provides:  %{name}-config = %{version}-%{release}
## libQtScript Obsoletes libqsa ?
# Obsoletes: qt4-qsa 

%description 
Qt is a software toolkit for developing applications.

This package contains base tools, like string, xml, and network
handling.

%package devel
Summary: Development files for the Qt toolkit
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: %{name}-x11 
Requires: %{x_deps}
Requires: libpng-devel
Requires: libjpeg-devel
Requires: pkgconfig
#Requires: glib2-devel
## %{_sysconfdir}/rpm/macros.qt4
Requires: rpm
Obsoletes: %{name}-designer < %{version}-%{release}
Provides:  %{name}-designer = %{version}-%{release}
%description devel
This package contains the files necessary to develop
applications using the Qt toolkit.  Includes:
Qt Linguist

%package doc
Summary: API documentation, demos and example programs for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
Provides: %{name}-assistant = %{version}-%{release}
%description doc
%{summary}.  Includes:
Qt Assistant, Qt Demo

%package odbc 
Summary: ODBC driver for Qt's SQL classes
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Obsoletes: %{name}-ODBC < %{version}-%{release}
Provides:  %{name}-ODBC = %{version}-%{release}
%description odbc 
%{summary}.

%package mysql 
Summary: MySQL driver for Qt's SQL classes
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Obsoletes: %{name}-MySQL < %{version}-%{release}
Provides:  %{name}-MySQL = %{version}-%{release}
%description mysql 
%{summary}.

%package postgresql 
Summary: PostgreSQL driver for Qt's SQL classes
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Obsoletes: %{name}-PostgreSQL < %{version}-%{release}
Provides:  %{name}-PostgreSQL = %{version}-%{release}
%description postgresql 
%{summary}.

%package sqlite 
Summary: SQLite driver for Qt's SQL classes
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Obsoletes: %{name}-SQLite < %{version}-%{release}
Provides:  %{name}-SQLite = %{version}-%{release}
%description sqlite 
%{summary}.

%package x11
Summary: Qt GUI-related libraries
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
%description x11
Qt libraries which are used for drawing widgets and OpenGL items.


%prep
%if "%{?snap:1}" == "1"
%setup -q -n qt-x11%{?preview}-opensource-src-%{version}-%{snap}
%else
%setup -q -n qt-x11%{?preview}-opensource-src-%{version}%{?beta}
%endif

%patch1 -p1 -b .assistant4
# don't use -b on mkspec files, else they get installed too.
%patch2 -p1

# drop -fexceptions from $RPM_OPT_FLAGS
RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS | sed 's|-fexceptions||g'`

## customize our platform
%if "%{_lib}" == "lib64"
%define platform linux-g++-64
%else
%define platform linux-g++
%endif
sed -i \
  -e "s|-O2|$RPM_OPT_FLAGS|g" \
  -e "s|g++.conf|g++-multilib.conf|g" mkspecs/%{platform}/qmake.conf
sed -e "s|^QMAKE_CFLAGS_RELEASE|#QMAKE_CFLAGS_RELEASE|g" \
 mkspecs/common/g++.conf > mkspecs/common/g++-multilib.conf
  
## FIXME, http://bugzilla.redhat.com/230224
# On the surface, looks like a good idea to strip -I/usr/include, -L/usr/lib, 
# but it turns out qmake-consuming apps expect/use QMAKE_INCDIR_QT directly 
# (e.g. PyQt4, texmaker), and don't cope with null values
#if "%{qt4_headerdir}" == "%{_includedir}"
#sed -i -e "s|^QMAKE_INCDIR_QT.*=.*|QMAKE_INCDIR_QT       =|" mkspecs/common/linux.conf
#endif
%if "%{qt4_libdir}" == "%{_libdir}"
sed -i -e "s|^QMAKE_LIBDIR_QT.*=.*|QMAKE_LIBDIR_QT       =|" mkspecs/common/linux.conf
%endif

# undefine QMAKE_STRIP, so we get useful -debuginfo pkgs
sed -i -e "s|^QMAKE_STRIP.*=.*|QMAKE_STRIP             =|" mkspecs/common/linux.conf 

# set correct lib path
if [ "%{_lib}" == "lib64" ] ; then
  sed -i -e "s,/usr/lib /lib,/usr/%{_lib} /%{_lib},g" config.tests/{unix,x11}/*.test
  sed -i -e "s,/lib /usr/lib,/%{_lib} /usr/%{_lib},g" config.tests/{unix,x11}/*.test
fi


%build

# build shared, threaded (default) libraries
echo yes | ./configure -v \
  -prefix %{qt4_prefix} \
  -bindir %{qt4_bindir} \
  -datadir %{qt4_datadir} \
  -docdir %{qt4_docdir} \
  -headerdir %{qt4_headerdir} \
  -libdir %{qt4_libdir} \
  -plugindir %{qt4_plugindir} \
  -sysconfdir %{qt4_sysconfdir} \
  -translationdir %{qt4_translationdir} \
  -platform %{platform} \
  -release \
  -shared \
  -cups \
  -no-exceptions \
  -fontconfig \
  -largefile \
  -qt-gif \
  -no-rpath \
  -no-separate-debug-info \
  -sm \
  -stl \
  -system-libmng \
  -system-libpng \
  -system-libjpeg \
  -system-libtiff \
  -system-zlib \
  -tablet \
  -xcursor \
  -xfixes \
  -xinerama \
  -xshape \
  -xrandr \
  -xrender \
  -xkb \
  -glib \
  -openssl \
  %{?qdbus} %{!?qdbus:-no-qdbus} \
  %{?nas} %{!?nas:-no-nas-sound} \
  %{?mysql} \
  %{?psql} \
  %{?odbc} \
  %{?sqlite} %{?_system_sqlite}

make %{?_smp_mflags}


%install
rm -rf %{buildroot}

make install INSTALL_ROOT=%{buildroot}

# Add desktop file(s)
desktop-file-install \
  --dir %{buildroot}%{_datadir}/applications \
  --vendor="%{name}" \
  %{SOURCE20} %{SOURCE21} %{SOURCE22} %{SOURCE23} %{SOURCE24}

## pkg-config
# strip extraneous dirs/libraries -- Rex
# safe ones
glib2_libs=$(pkg-config --libs glib-2.0 gthread-2.0)
for dep in -laudio -ldbus-1 -lfreetype -lfontconfig ${glib2_libs} -lmng -ljpeg -lpng -lm -lz \
  -L%{_builddir}/qt-x11%{?preview}-opensource-src-%{version}%{?beta:-%{beta}}/lib ; do
  sed -i -e "s|$dep ||g" %{buildroot}%{qt4_libdir}/lib*.la ||:
  sed -i -e "s|$dep ||g" %{buildroot}%{qt4_libdir}/pkgconfig/*.pc
  sed -i -e "s|$dep ||g" %{buildroot}%{qt4_libdir}/*.prl
done
# riskier
for dep in -lXrender -lXrandr -lXcursor -lXfixes -lXinerama -lXi -lXft -lXt -lXext -lX11 -lSM -lICE -ldl -lpthread ; do
  sed -i -e "s|$dep ||g" %{buildroot}%{qt4_libdir}/lib*.la ||:
  sed -i -e "s|$dep ||g" %{buildroot}%{qt4_libdir}/pkgconfig/*.pc 
  sed -i -e "s|$dep ||g" %{buildroot}%{qt4_libdir}/*.prl
done
# nuke dandling reference(s) to %buildroot
sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" %{buildroot}%{qt4_libdir}/*.prl

# -doc make symbolic link to qt4_docdir
rm -rf %{buildroot}%{qtdir}/doc
ln -s  ../../share/doc/qt %{buildroot}%{qtdir}/doc

# put LICENSE.* files in %%qt4_prefix, some apps' configure scripts expect to find them here
install -p -m644 LICENSE.GPL %{buildroot}%{qt4_prefix}/

## Make symlinks in %%_bindir
%if "%{_bindir}" != "%{qt4_bindir}"
mkdir -p %{buildroot}%{_bindir}
pushd %{buildroot}%{qt4_bindir}
for i in *; do
  case "${i}" in
    assistant|designer|linguist|lrelease|lupdate|moc|qmake|qtconfig|qtdemo|uic)
      LINK="${i}-qt4"
      ln -s "${i}" "%{buildroot}%{qt4_bindir}/${LINK}"
      ;;
    *)
      LINK="${i}"
      ;;
  esac
  install -p -m755 -D %{SOURCE10} %{buildroot}%{_bindir}/${LINK}
done
popd
%endif

# _debug lib symlinks (see bug #196513)
pushd %{buildroot}%{qt4_libdir}
for lib in libQt*.so ; do
  ln -s $lib $(basename $lib .so)_debug.so
done
for lib in libQt*.a ; do
  ln -s $lib $(basename $lib .a)_debug.a
done
popd

# .la files, die, die, die.
rm -f %{buildroot}%{qt4_libdir}/lib*.la

## multilib: qconfig
mv %{buildroot}%{qt4_headerdir}/Qt/qconfig.h %{buildroot}%{qt4_headerdir}/QtCore/qconfig-%{_arch}.h
install -p -m644 -D %{SOURCE5}              %{buildroot}%{qt4_headerdir}/QtCore/qconfig-multilib.h
ln -sf qconfig-multilib.h                   %{buildroot}%{qt4_headerdir}/QtCore/qconfig.h
ln -sf ../QtCore/qconfig.h                  %{buildroot}%{qt4_headerdir}/Qt/qconfig.h

## multilib: mkspecs
%if "%{qt4_datadir}" != "%{qt4_prefix}"
# qt4.(sh|csh), QMAKESPEC
#install -p -m755 -D %{SOURCE11} %{buildroot}/etc/profile.d/%{name}-%{_arch}.sh
#install -p -m755 -D %{SOURCE12} %{buildroot}/etc/profile.d/%{name}-%{_arch}.csh
#sed -i -e "s|@@QMAKESPEC@@|%{platform}|" %{buildroot}/etc/profile.d/%{name}-%{_arch}.*
# mkspecs 
mkdir %{buildroot}%{qt4_prefix}/mkspecs
mv  	%{buildroot}%{qt4_datadir}/mkspecs/{default,linux-g++*,qconfig.pri} \
  	%{buildroot}%{qt4_prefix}/mkspecs/
ln -s	%{qt4_datadir}/mkspecs/common %{buildroot}%{qt4_prefix}/mkspecs/common
%endif

%if "%{qt4_libdir}" != "%{_libdir}"
mkdir -p %{buildroot}/etc/ld.so.conf.d
echo "%{qt4_libdir}" > %{buildroot}/etc/ld.so.conf.d/%{name}-%{_arch}.conf
%endif

# rpm macros
install -p -m644 -D %{SOURCE13} %{buildroot}%{_sysconfdir}/rpm/macros.qt4

# Trolltech.conf
install -p -m644 -D %{SOURCE1} %{buildroot}%{qt4_sysconfdir}/Trolltech.conf


%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc README* 
%{!?beta:%doc OPENSOURCE-NOTICE.TXT}
%{qt4_prefix}/LICENSE.*
%if "%{qt4_libdir}" != "%{_libdir}"
/etc/ld.so.conf.d/*
%dir %{qt4_libdir}
%endif
%dir %{qt4_prefix}
%dir %{qt4_bindir}
%dir %{qt4_datadir}
%if "%{qt4_sysconfdir}" != "%{_sysconfdir}"
%dir %{qt4_sysconfdir}
%endif
%config(noreplace) %{qt4_sysconfdir}/Trolltech.conf
%{qt4_datadir}/phrasebooks/
%{qt4_libdir}/libQtCore.so.*
%if "%{?qdbus}" == "-qdbus"
%{qt4_libdir}/libQtDBus.so.*
%endif
%{qt4_libdir}/libQtNetwork.so.*
%{qt4_libdir}/libQtScript.so.*
%{qt4_libdir}/libQtSql.so.*
%{qt4_libdir}/libQtTest.so.*
%{qt4_libdir}/libQtXml.so.*
%dir %{qt4_plugindir}
%dir %{qt4_plugindir}/sqldrivers/
%{qt4_translationdir}/

%files x11 
%defattr(-,root,root,-)
%{qt4_libdir}/libQt3Support.so.*
%{qt4_libdir}/libQtAssistantClient.so.*
%{qt4_libdir}/libQtDesigner.so.*
%{qt4_libdir}/libQtDesignerComponents.so.*
%{qt4_libdir}/libQtGui.so.*
%{qt4_libdir}/libQtOpenGL.so.*
%{qt4_libdir}/libQtSvg.so.*
%{qt4_plugindir}/*
%exclude %{qt4_plugindir}/designer
%exclude %{qt4_plugindir}/sqldrivers
#-config bits
%{qt4_bindir}/qt*config*
%{_bindir}/qt*config*
%{_datadir}/applications/*qtconfig*.desktop

%files devel
%defattr(-,root,root,-)
#config /etc/profile.d/*
%{_sysconfdir}/rpm/macros.*
%{qt4_bindir}/lrelease*
%{qt4_bindir}/lupdate*
%{qt4_bindir}/moc*
%if "%{?qdbus}" == "-qdbus"
%{qt4_bindir}/qdbus*
%{_bindir}/qdbus*
%endif
%{qt4_bindir}/pixeltool*
%{qt4_bindir}/qmake*
%{qt4_bindir}/qt3to4
%{qt4_bindir}/rcc*
%{qt4_bindir}/uic*
%{_bindir}/lrelease*
%{_bindir}/lupdate*
%{_bindir}/pixeltool*
%{_bindir}/moc*
%{_bindir}/qmake*
%{_bindir}/qt3to4
%{_bindir}/rcc*
%{_bindir}/uic*
%if "%{qt4_headerdir}" != "%{_includedir}"
%dir %{qt4_headerdir}/
%endif
%{qt4_headerdir}/*
%{qt4_datadir}/mkspecs/
%{qt4_prefix}/mkspecs/
%{qt4_datadir}/q3porting.xml
%{qt4_libdir}/libQt*.so
# remaining static lib: libQtUiTools.a 
%{qt4_libdir}/libQt*.a
%{qt4_libdir}/libQt*.prl
%{_libdir}/pkgconfig/*.pc
# Qt designer
%{_bindir}/designer*
%{qt4_bindir}/designer*
%{qt4_plugindir}/designer/
%{_datadir}/applications/*designer*.desktop
# Qt Linguist
%{qt4_bindir}/linguist*
%{_bindir}/linguist*
%{_datadir}/applications/*linguist*.desktop

%files doc
%defattr(-,root,root,-)
%dir %{qt4_docdir}/
%{qt4_docdir}/html
%{qt4_prefix}/doc
%{qt4_prefix}/demos/
%{qt4_prefix}/examples/
# Qt Assistant
%{qt4_bindir}/assistant*
%{_bindir}/assistant*
%{_datadir}/applications/*assistant*.desktop
# Qt Demo
%{qt4_bindir}/qt*demo*
%{_bindir}/qt*demo*
%{_datadir}/applications/*qtdemo*.desktop

%if "%{?odbc}" == "-plugin-sql-odbc"
%files odbc 
%defattr(-,root,root,-)
%{qt4_plugindir}/sqldrivers/libqsqlodbc*
%endif

%if "%{?psql}" == "-plugin-sql-psql"
%files postgresql 
%defattr(-,root,root,-)
%{qt4_plugindir}/sqldrivers/libqsqlpsql*
%endif

%if "%{?mysql}" == "-plugin-sql-mysql"
%files mysql 
%defattr(-,root,root,-)
%{qt4_plugindir}/sqldrivers/libqsqlmysql*
%endif

%if "%{?sqlite}" == "-plugin-sql-sqlite"
%files sqlite 
%defattr(-,root,root,-)
%{qt4_plugindir}/sqldrivers/libqsqlite*
%endif


%changelog
* Fri May 04 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.3.0-0.5.rc1
- update to 4.3.0 RC1
- drop LD_RUN_PATH hack

* Fri May 04 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.3.0-0.3.snapshot20070423
- update to qt-4.3.0-snapshot-20070423
- build with SSL support (BR openssl-devel)
- drop upstreamed mysql_config.patch

* Wed May 02 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 4.3.0-0.2.beta
- qt-4.3.0beta
- -system-libtiff, BR: libtiff-devel

* Wed May 02 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 4.2.3-8
- QFileDialog file wrapping patch (qt#153635, rh#236908)
- License: GPL, dropping LICENSE.QPL (#237702)

* Thu Mar 29 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 4.2.3-7
- CVE-2007-0242, utf8-bug-qt4-2.diff

* Thu Mar 22 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 4.2.3-6
- -system-sqlite, BR: sqlite-devel
- drop mysql_config hackery

* Wed Mar 21 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 4.2.3-5
- strip (all) glib2 libs from .pc files
- prepend _ to rpm macros
- drop Obsoletes: qt4-debug

* Thu Mar 15 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 4.2.3-3
- make /etc/rpm/macros.qt4 owned only by qt4-devel

* Thu Mar 15 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 4.2.3-2
- fix mkspecs/common availability (#232392)

* Tue Mar 13 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 4.2.3-1
- qt-4.2.3
- multilib: move all arch-specific mkspecs bits to %%qt4_prefix/mkspecs (#223663)
- +%%_sysconfdir/rpm/macros.qt4
- +%%config %%qt4_sysconfdir/Trolltech.conf

* Tue Mar 06 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 4.2.2-8
- multilib: qconfig.pri, /etc/profile.d/* (#223663)

* Mon Mar 05 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 4.2.2-7
- fixup qconfig-multilib.h for powerpc/powerpc64 (#223663)
- include qt-copy's 0154-qdbuscpp2xml-moc_path.diff (#230875)

* Wed Feb 28 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 4.2.2-5
- fixup qconfig-multilib.h (#223663)
- qt4.(sh|csh): define QMAKESPEC (#223663)
- null'ify QMAKE_LIBDIR_QT, leave QMAKE_INCDIR_QT alone for now. (#230224)

* Tue Feb 27 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 4.2.2-3
- drop ./configure -no-reduce-exports (ie, support visibility) 
- multilib issues (#223663)

* Wed Dec 06 2006 Rex Dieter <rexdieter[AT]users.sf.net. 4.2.2-2
- respin for postgresql

* Fri Dec 01 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.2.2-1
- qt-4.2.2 (#218575)

* Wed Nov 15 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.2.1-3
- move libQtDesigner to -x11

* Mon Oct 23 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.2.1-2
- use respun upstream 4.2.1 tarball
- fix pre-modular-X libGL/libGLU deps (#211898)

* Sun Oct 22 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.2.1-1
- qt-4.2.1

* Wed Oct 04 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.2.0-1
- qt-4.2.0(final)

* Thu Sep 28 2006 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.2.0-0.9.20060927
- update to qt-4.2.0-snapshot-20060927
- update QDBus executable names
- -x11: exclude plugins/designer (which belong to -devel)
- BuildConflicts: qt4-devel
- drop -fno-strict-aliasing hack (fc5+)

* Wed Sep 27 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.2.0-0.8.rc1
- qtconfig.desktop: Categories=+AdvancedSettings;Settings

* Fri Sep 08 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.2.0-0.7.rc1
- 4.2.0-rc1

* Fri Aug 28 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.2.0-0.6.20060821
- update to 4.2.0-snapshot-20060821 (same as today's qt-copy)
- -no-separate-debug-info
- - ./configure -xfixes, BR: libXfixes-devel

* Mon Aug 07 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.2.0-0.5.tp1
- fix empty -debuginfo
- use $RPM_OPT_FLAGS

* Thu Jul 20 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.2.0-0.4.tp1
- strip -laudio, -ldbus-1, -lglib-2.0 from .pc files

* Thu Jul 20 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.2.0-0.3.tp1
- -no-reduce-exports (for now)
- -fno-strict-aliasing (fc5+)

* Fri Jul 07 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.2.0-0.2.tp1
- -system-nas-sound, BR: nas-devel (bug # 197937)
- -qdbus (fc6+, BR: dbus-devel >= 0.62)
- -glib (BR: glib2-devel)

* Fri Jun 30 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.2.0-0.1.tp1
- 4.2.0-tp1 (technology preview 1)

* Thu Jun 29 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.4-5
- make FHS-friendly (bug #196901)
- cleanup %%_bindir symlinks, (consistently) use qt4 postfix

* Wed Jun 28 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.4-4
- x11: split-out gui(x11) from non-gui bits (bug #196899)

* Mon Jun 26 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.4-3
- -debug: drop, adds nothing over -debuginfo, make lib..._debug 
  symlinks instead (bug #196513)
- assistant.desktop: fix tooltip (bug #197039)

* Mon Jun 26 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.4-2
- -devel: include -debug libs (bug #196513)
- -devel: move libQtDesigner here
- -config: mash into main pkg, should be multilib friendly now

* Fri Jun 23 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.4-1
- 4.1.4

* Tue Jun 20 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.3-9
- make each sql plugin optional

* Fri Jun 09 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.3-8
- qmake.conf: undefine QMAKE_STRIP to get useful -debuginfo (bug #193602)
- move (not symlink) .pc files into %%_libdir/pkgconfig

* Thu Jun 08 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.3-7
- *really* fix qt4-wrapper.sh for good this time.

* Mon May 29 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.3-6
- make qt4-wrapper.sh use rpm when pkg-config/qt4-devel isn't
  installed (#193369)

* Fri May 26 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.3-5
- strip -lXi from .pc files (#193258)
- simplify sql plugin builds via %%buildSQL macro
- -libdir %%qt_libdir 

* Wed May 24 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.3-4
- move (most) %%dir ownership (back) to main pkg

* Sun May 21 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.3-3
- fix %%mysql_libs macro

* Sat May 20 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.3-2
- -mysql: use mysql_config for setting cflags/ldflags.
- -mysql: BR: mysql-devel > 4.0

* Sat May 20 2006 Laurent Rineau <laurent.rineau__fc_extra@normalesup.org>
- Fix the last reference to %{qtdir}/lib: use %{_lib} instead of "lib".
- Fix the ownership of subpackages: they need to own parents of directories they install files in.

* Fri May 19 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.3-1
- 4.1.3
- %%qtdir/lib/*.pc -> %%qtdir/%%_lib/*.pc 
  (hopefully, the last hardcoded reference to %%qtdir/lib)

* Fri May 19 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.2-20
- fix some unowned dirs
- try harder to purge %%builddir from .pc,.prl files
- -docdir %%_docdir/%%name-doc-%%version, since we use %%doc macro in main pkg
- -doc: own %%qt_docdir
- use qt4-wrapper.sh to ensure launch of qt4 versions of apps that
  (may) overlap with those from qt3 
- use %%qtdir/%%_lib in ld.so.conf.d/*.conf files too

* Tue May 16 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.2-19
- drop libQtAssistantClient,libQtUiTools shlib patches

* Tue May 16 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.2-18
- %%_bindir symlinks: qtconfig4 -> qt4config, qtdemo4 -> qt4demo
- -libdir %%qtdir/%%_lib, simplifies %%_lib != lib case
- -docdir %%_docdir/%%name-%%version
- build shared versions of libQtAssistantClient,libQtUiTools too
- strip extraneous -L paths, libs from *.prl files too

* Tue May 16 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.2-17
- .desktop: Qt -> Qt4, and Comment= (where missing)
- -devel: include -designer here, Obsoletes/Provides: %%name-designer.
   It's small, simplifies things... one less subpkg to worry about.
- -doc: include %%qtdir/doc symlink here
- -docdir %%_docdir/%%name-doc-%%version

* Mon May 15 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.2-16
- set/use RPM_OPT_FLAGS only for our platform
- (really) don't give %%_bindir symlink for qt3to4 another "4" suffix
- don't add 4 suffix to uic3, rcc (they don't conflict with qt(3)-devel)
- -devel: add  linguist.desktop
- -doc: move assistant here, Provides: %%{name}-assistant, add assistant.desktop
- -doc: add qtdemo.desktop
- -doc: Requires qt4 (instead of qt4-devel)
- assistant4.patch: search for assistant4 instead of (qt3's) assistant in $PATH 
- -qtconfig: add qtconfig.desktop
- updated %%sumaries to mention where (some) tools are, including assistant, linguist,
  qtdemo

* Mon May 15 2006 Laurent Rineau <laurent.rineau__fc_extra@normalesup.org> - 4.1.2-15
- Rename -docs to -doc.
- Files in the -doc subpackage are no longer in %%doc.
- Move qtdemo to the subpackage -doc.
- Fix symlinks in %%{_bindir}.
- Only modify mkspecs/linux-g++*/qmake.conf, instead of all mkspecs/*/qmake.conf.

* Sun May 14 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.2-14
- remove MapNotify from .desktop file(s).
- install -m644 LICENSE.*
- -docs: don't mark examples as %doc
- drop unused %%debug macro

* Sat May 13 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.2-13
- include unpackaged pkgconfig files

* Sat May 13 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.2-12
- fix typos so it actually builds.

* Sat May 13 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.2-11
- drop optional ld.so.conf.d usage, make mandatory
- make %%_bindir symlinks to all %%qtdir/bin stuff (even qt3to4)
- pkgconfig files: hardlinks -> relative symlinks, strip -L%{_libdir}/mysql
  and -L%%{_builddir}/qt-x11-opensource-src-%%version/lib
- cleanup/simplify Summary/%%description entries
- $RPM_BUILD_ROOT -> %%buildroot, $RPM_BUILD_DIR -> %%_builddir

* Sat May 13 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.2-10
- cleanup/simplify license bits, include LICENSE.QPL
- drop unused -styles/-Xt subpkg reference
- drop unused motif extention bits
- drop initialpreference from .desktop files

* Fri May 12 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.2-9
- drop reference to non-existent config.test/unix/checkavail

* Fri May 12 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.2-8
- simplify build* macros
- lower-case all subpkgs (ie, -MySQL -> -mysql )
- drop BR: perl, sed

* Thu May 11 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.2-7
- rework %%post/%%postun, mostly to placate rpmlint
- drop Prefix:
- drop use of qt4.(sh|csh), they're empty atm anyway
- use Source'd designer.desktop (instead of inline cat/echo)
- symlinks to %%_bindir: qmake4, designer4, qtconfig4
- drop qtrc, qt4 doesn't use it.
- -docs subpkg for API html docs, demos, examples.
- BR: libXcursor-devel libXi-devel (fc5+)

* Thu Apr 27 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.2-6
- devel: Requires: pkgconfig

* Sat Apr 15 2006 Simon Perreault <nomis80@nomis80.org> 4.1.2-5
- Disable C++ exceptions.

* Mon Apr 10 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.2-4
- qt4.(sh|csh): place-holders only, don't define QTDIR (and QTLIB)
  as that (potentially) conflicts with qt-3.x.

* Thu Apr 06 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.2-2
- -devel: Drop (artificial) Conflicts: qt-devel
- fix %%ld_so_conf_d usage
- %%qtdir/%%_lib symlink

* Wed Apr 05 2006 Rex Dieter <rexdieter[AT]users.sf.net> 4.1.2-1
- drop Epoch
- cleanup (a lot!)

* Tue Dec 20 2005 Than Ngo <than@redhat.com> 1:4.1.0-0.1
- update to 4.1.0

* Fri Sep 09 2005 Than Ngo <than@redhat.com> 1:4.0.1-0.1
- update to 4.0.1

